CMDLINER-INSTALL-TOOL-MANPAGES(1)

NAME

cmdliner-install-tool-manpages - Install tool and subcommand manpages

SYNOPSIS

cmdliner install tool-manpages [--dry-run] [--update-opam-install=PKG.install] [OPTION]… TOOLEXEC[:NAME]… MANDIR

DESCRIPTION

cmdliner install tool-manpages installs the manpages of the tool and its commands according in directories of a man directory. Directories are created if needed. Use option --dry-run to see which paths would be written. Example:

cmdliner install tool-manpages ./mytool /usr/local/share/man

Note that the command install tool-support also installs manpages like this command does.

ARGUMENTS

MANDIR (required)
    MANDIR is the root man directory to install to.

TOOLEXEC[:NAME] (required)
    TOOLEXEC is the tool executable. Searched in the PATH unless an explicit file path is specified. NAME is the tool name, if unspecified derived from TOOLEXEC by taking the basename and stripping any .exe extension. Repeatable.

OPTIONS

--dry-run
    Do not install, output paths that would be written.

--update-opam-install=PKG.install
    Update or create an opam .install file PKG.install with install moves from the installed files to the corresponding opam install sections. Also performed if --dry-run is specified.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

cmdliner install tool-manpages exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

SEE ALSO

cmdliner(1)